<!--
/**
* NOTA SOBRE LA LICENCIA DE USO DEL SOFTWARE
* 
* El uso de este software está sujeto a las Condiciones de uso de software que
* se incluyen en el paquete en el documento "Aviso Legal.pdf". También puede
* obtener una copia en la siguiente url:
* http://www.redsys.es/wps/portal/redsys/publica/areadeserviciosweb/descargaDeDocumentacionYEjecutables
* 
* Redsys es titular de todos los derechos de propiedad intelectual e industrial
* del software.
* 
* Quedan expresamente prohibidas la reproducción, la distribución y la
* comunicación pública, incluida su modalidad de puesta a disposición con fines
* distintos a los descritos en las Condiciones de uso.
* 
* Redsys se reserva la posibilidad de ejercer las acciones legales que le
* correspondan para hacer valer sus derechos frente a cualquier infracción de
* los derechos de propiedad intelectual y/o industrial.
* 
* Redsys Servicios de Procesamiento, S.L., CIF B85955367
*/
-->
<div id="redir_mensaje" style="display: none;">
<?php 

		echo __("Gracias por confiar en nosotros. En breves segundos será redirigido a la plataforma de pago.")."<br/>";
		echo __("Si su navegador no le redirecciona automáticamente pulse")." <a href='javascript:void(0)' onclick='document.redsys_form.submit();'>".__("aquí")."</a> ".__("para llevar a cabo el pago.");

?>
</div>

<form action="<?php echo $this->getEntorno(); ?>" method="post" id="redsys_form" name="redsys_form">
	<span id="withRefMessage">
		<input type="radio" name="withRef" value="ref" onchange="onChangeWithRef()" style="<?php echo $this->getDisplayRadios() ?>">
		<h4 style="display: inline; <?php echo $this->getDisplayRadios() ?>"><?php echo $this->getReferenceTitle() ?></h4> <?php echo ($this->getShowCardBrandLogo() ?  '<img src="' . $block->getViewFileURL("Redsys_Redsys::images/brands/" . $this->getCardBrandLogo()) . '" style="display: inline;"/>' : "") ?>
	</span>
	<br>
	<input type="radio" name="withRef" value="new" style="<?php echo $this->getDisplayRadios() ?>" onchange="onChangeWithRef()" checked>
	<h4 style="display: inline; <?php echo $this->getDisplayRadios() ?>">Usar otra tarjeta</h4><br>
	<span id="saveRefMessage" style="<?php echo $this->getAllowReference() ? '' : 'display: none; '; ?>"><input type="checkbox" name="saveRef" onchange="onChangeSaveRef()"> <label for="saveRef">Guardar tarjeta para futuras compras </label></span><br>

	<input type="hidden" name="Ds_SignatureVersion" value="<?php echo $this->getVersionFirma(); ?>" />
	<input type="hidden" name="Ds_MerchantParameters" value="<?php echo $this->getParametros();  ?>" />
	<input type="hidden" name="Ds_Signature" value="<?php echo $this->getFirma(); ?>" />
	<br>
	
	<input type="submit" id="btnPagar" style="font-size: 18px; padding: 9px 20px; border: none; box-shadow: rgb(204, 204, 204) 0px 2px 7px; margin: 0px auto; width: 220px; text-align: center; border-radius: 8px; height: 39px; background-color: orange; color: black; display: inline;" value="Pagar">
</form>
		
<script type="text/javascript">
	const Ds_MerchantParameters_New = "<?php echo $this->getParametros();  ?>";
	const Ds_Signature_New = "<?php echo $this->getFirma(); ?>";
	const Ds_MerchantParameters_SaveRef = "<?php echo $this->getParametrosSaveRef();  ?>";
	const Ds_Signature_SaveRef = "<?php echo $this->getFirmaSaveRef(); ?>";
	const Ds_MerchantParameters_WithRef = "<?php echo $this->getParametrosWithRef();  ?>";
	const Ds_Signature_WithRef = "<?php echo $this->getFirmaWithRef(); ?>";

	const allowRef = <?php echo $this->getWithRef() ? 'true' : 'false'; ?>;

	var withRef = false;
	var saveRef = false;
	window.document.onload = function(){
		onChangeParameters();
	}

	if(!allowRef){
		document.getElementById("redir_mensaje").style.display = '';
		document.getElementById("redsys_form").style.display = 'none';
		document.getElementById("redsys_form").submit();
	}

	function onChangeWithRef(){
		withRef = document.redsys_form.withRef.value == "ref";
		document.getElementById("saveRefMessage").style.display = (withRef ? 'none' : '');
		onChangeParameters();
	}

	function onChangeSaveRef(){
		saveRef = document.redsys_form.saveRef.checked;
		onChangeParameters();
	}

	function onChangeParameters(){
		if(withRef){
			document.redsys_form.Ds_MerchantParameters.value = Ds_MerchantParameters_WithRef;
			document.redsys_form.Ds_Signature.value = Ds_Signature_WithRef;
		}else{
			if(saveRef){
				document.redsys_form.Ds_MerchantParameters.value = Ds_MerchantParameters_SaveRef;
				document.redsys_form.Ds_Signature.value = Ds_Signature_SaveRef;
			}else{
				document.redsys_form.Ds_MerchantParameters.value = Ds_MerchantParameters_New;
				document.redsys_form.Ds_Signature.value = Ds_Signature_New;
			}
		}
	}
</script>